Subject: Re: [RFC] Stgit - patch history / add extra parents

From: Catalin Marinas <[email-masked]>
Date: Fri, 19 Aug 2005 23:15:35 +0100

On Fri, 2005-08-19 at 20:27 +0200, Jan Veldeman wrote:
> hmm, not exactly, for example, when reordering the patches (including the
> top one), I would like to see this in gitk.
> Or when a patch has been dropped (amongst a lot of patches), it should be
> easily spotted.

I tried your patch but the gitk image confused me. I will look again at
it tomorrow (it's quite late in the UK now).

One immediate thing I noticed was that the commits directly accessible
via .git/HEAD are shown as empty by gitk and you would need to follow
the parents to see what they contain. For every freeze, the patches
expand to the right in gitk and the graph could get very complex after
several freeze commands.

-- 
Catalin